import { withCamera } from "./layout.ts";
import { getHuntMode } from "./huntmode.ts";
import { getHud } from "./hud.ts";

export class Gameplay {
  update() {
    withCamera("Gameplay", () => {
      getHuntMode().update();
    });
    withCamera("HUD", () => {
      getHud().update();
    });
  }

  draw() {
    withCamera("Gameplay", () => {
      getHuntMode().draw();
    });
    withCamera("HUD", () => {
      getHud().draw();
    });
  }

  get blocksHud(): boolean {
    return false;
  }
}

let active = new Gameplay();
export function getGameplay(): Gameplay {
  return active;
}
